Page MenuHomePhabricator

Don't try to emit loopVectorize warning if DebugLoc isn't available
AbandonedPublic

Authored by davide on May 2 2015, 6:25 PM.

Details

Reviewers
nadav
dexonsmith
Summary

This is a (hopefullly) reasonable attempt to fix PR23380
https://llvm.org/bugs/show_bug.cgi?id=23380

Diff Detail

Event Timeline

davide updated this revision to Diff 24863.May 2 2015, 6:25 PM
davide retitled this revision from to Don't try to emit loopVectorize warning if DebugLoc isn't available.
davide updated this object.
davide edited the test plan for this revision. (Show Details)
davide added reviewers: nadav, dexonsmith.
davide set the repository for this revision to rL LLVM.
davide added a subscriber: Unknown Object (MLST).
nadav edited edge metadata.May 2 2015, 6:44 PM

Looks good to me.

dexonsmith edited edge metadata.May 2 2015, 10:26 PM

Would it be better to make emitOptimizationRemarkMissed() resilient to a null DebugLoc? It seems strange to require debug info to print pass remarks.

  • dpnes

Would it be better to make emitOptimizationRemarkMissed() resilient to a null DebugLoc? It seems strange to require debug info to print pass remarks.

emitLoopVectorizeWarning() should actually be made resilient because that's where the crash happen.
I'll take a look at this further tomorrow.

chfast edited edge metadata.May 3 2015, 11:22 PM
chfast added a subscriber: chfast.
gberry added a subscriber: gberry.May 4 2015, 10:46 AM

Coincidentally, I just submitted a patch to do this in clang:

http://reviews.llvm.org/D9449

Geoff Berry
Employee of Qualcomm Innovation Center, Inc.
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum, a Linux
Foundation Collaborative Project

davide abandoned this revision.May 13 2015, 1:08 PM

D9499 landed and fixed the problem. After discussion with dexonsmith on IRC we agreed it's better to emit the remark all the time, hence this review can be abandoned.